<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::EventRecordingListener Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1EventRecordingListener.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::EventRecordingListener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for testing::internal::EventRecordingListener:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1EventRecordingListener__inherit__graph.svg" width="202" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for testing::internal::EventRecordingListener:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1EventRecordingListener__coll__graph.svg" width="202" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7b0254c15d6b8468e1441ee572fee707"><td class="memItemLeft" align="right" valign="top"><a id="a7b0254c15d6b8468e1441ee572fee707"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>EventRecordingListener</b> (const char *name)</td></tr>
<tr class="separator:a7b0254c15d6b8468e1441ee572fee707"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtesting_1_1TestEventListener"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtesting_1_1TestEventListener')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtesting_1_1TestEventListener.html">testing::TestEventListener</a></td></tr>
<tr class="memitem:a2726cc70dfda861f109355f1d9f09dfe inherit pub_methods_classtesting_1_1TestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a2726cc70dfda861f109355f1d9f09dfe"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteStart</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;)</td></tr>
<tr class="separator:a2726cc70dfda861f109355f1d9f09dfe inherit pub_methods_classtesting_1_1TestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8962caad5d2522c9160c794074a662ee inherit pub_methods_classtesting_1_1TestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a8962caad5d2522c9160c794074a662ee"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteEnd</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;)</td></tr>
<tr class="separator:a8962caad5d2522c9160c794074a662ee inherit pub_methods_classtesting_1_1TestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a9cec5ac263fe161de360615422370eec"><td class="memItemLeft" align="right" valign="top"><a id="a9cec5ac263fe161de360615422370eec"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a9cec5ac263fe161de360615422370eec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeed7e9302e3fc2c182a2f20c174d62b8"><td class="memItemLeft" align="right" valign="top"><a id="aeed7e9302e3fc2c182a2f20c174d62b8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;, int iteration) override</td></tr>
<tr class="separator:aeed7e9302e3fc2c182a2f20c174d62b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae192e9289f576fc770b549a575d8e786"><td class="memItemLeft" align="right" valign="top"><a id="ae192e9289f576fc770b549a575d8e786"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:ae192e9289f576fc770b549a575d8e786"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada752f5c75723828ed8661c513edbd10"><td class="memItemLeft" align="right" valign="top"><a id="ada752f5c75723828ed8661c513edbd10"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:ada752f5c75723828ed8661c513edbd10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ce90fda790857eb64444038a5b3258f"><td class="memItemLeft" align="right" valign="top"><a id="a3ce90fda790857eb64444038a5b3258f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseStart</b> (const TestCase &amp;) override</td></tr>
<tr class="separator:a3ce90fda790857eb64444038a5b3258f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad850af9e4276b9bfba61435b97a02094"><td class="memItemLeft" align="right" valign="top"><a id="ad850af9e4276b9bfba61435b97a02094"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestStart</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;) override</td></tr>
<tr class="separator:ad850af9e4276b9bfba61435b97a02094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9122b67d43420a41d1cfe9307809e078"><td class="memItemLeft" align="right" valign="top"><a id="a9122b67d43420a41d1cfe9307809e078"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestPartResult</b> (const TestPartResult &amp;) override</td></tr>
<tr class="separator:a9122b67d43420a41d1cfe9307809e078"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab374bf69a73cd7dd8fcef5aea1209728"><td class="memItemLeft" align="right" valign="top"><a id="ab374bf69a73cd7dd8fcef5aea1209728"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestEnd</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;) override</td></tr>
<tr class="separator:ab374bf69a73cd7dd8fcef5aea1209728"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52788314427f5c7a4585ea0bf5f3c251"><td class="memItemLeft" align="right" valign="top"><a id="a52788314427f5c7a4585ea0bf5f3c251"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseEnd</b> (const TestCase &amp;) override</td></tr>
<tr class="separator:a52788314427f5c7a4585ea0bf5f3c251"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab8379a206927984cdb7b84399a122a5"><td class="memItemLeft" align="right" valign="top"><a id="aab8379a206927984cdb7b84399a122a5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:aab8379a206927984cdb7b84399a122a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab96b8b58a318ebe79df4295e2da6a289"><td class="memItemLeft" align="right" valign="top"><a id="ab96b8b58a318ebe79df4295e2da6a289"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:ab96b8b58a318ebe79df4295e2da6a289"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48f6f53c044e8cb6425f9bc7319ddecc"><td class="memItemLeft" align="right" valign="top"><a id="a48f6f53c044e8cb6425f9bc7319ddecc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;, int iteration) override</td></tr>
<tr class="separator:a48f6f53c044e8cb6425f9bc7319ddecc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22952f706a15c028d4b43256602035bb"><td class="memItemLeft" align="right" valign="top"><a id="a22952f706a15c028d4b43256602035bb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a22952f706a15c028d4b43256602035bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-listener-test.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1EventRecordingListener.html">EventRecordingListener</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
